## examplix 0.1.2-1

=== Makefile ===
#!/usr/bin/make
# This is the examplix Makefile
# $Id$
# Zur Erstellung des Debian-Pakets notwendig (make DESTDIR=/root/examplix)
DESTDIR=

# Installing from this Makefile
#====================================
# run in this dir:  sudo make install  



# Debian
#====================================

# Data
LIBDIR=$(DESTDIR)/var/lib/examplix

# Logs
LOGDIR=$(DESTDIR)/var/log/examplix

# Perl modules
PERLMOD=$(DESTDIR)/usr/share/perl5/Examplix

# Dokumentation
DOCDEBDIR=$(DESTDIR)/usr/share/doc

# Config
CONF=$(DESTDIR)/etc/examplix

# Developer
DEVELCONF=$(DESTDIR)/usr/share/examplix


help:
	@echo ' '
	@echo 'Most common options of this Makefile:'
	@echo '-------------------------------------'
	@echo ' '
	@echo '   make help'
	@echo '      show this help'
	@echo ' '
	@echo '   make install'
	@echo '      make an installation of files to the local debian system'
	@echo ' '
	@echo '   make deb'
	@echo '      create a debian package'
	@echo ' '

# build a package
deb:
	### deb
	@echo 'Did you do a dch -i ?'
	@sleep 8
	dpkg-buildpackage -tc -uc -us -sa -rfakeroot
	@echo ''
	@echo 'Do not forget to tag this version in cvs'
	@echo ''


clean: clean-debian

clean-debian:
	rm -rf  debian/examplix


install:
	### install examplix:
# some dirs

	# install user scripts
	@install -d $(DESTDIR)/usr/bin
	@install -oroot -groot --mode=0777 scripts/examplix $(DESTDIR)/usr/bin
	@install -oroot -groot --mode=0777 scripts/examplix-ldapsearch $(DESTDIR)/usr/bin
	@install -oroot -groot --mode=0777 scripts/atlantis-csv-filter-schueler $(DESTDIR)/usr/bin
	# install config
	@install -d $(CONF)
	@install -oroot -groot --mode=0600 config/examplix.conf $(CONF)
	# install config for developers
	@install -d -m755 -oroot -groot $(DEVELCONF)/devel
	@install -oroot -groot --mode=0644 config-devel/examplix-devel.conf $(DEVELCONF)/devel
	@install -oroot -groot --mode=0644 config-devel/translate.conf $(DEVELCONF)/devel
	# install modules
	@install -d -m755 -oroot -groot $(PERLMOD)
	@install -oroot -groot --mode=0644 modules/ExamplixConfig.pm $(PERLMOD)

=== debian/changelog ===
examplix (0.1.2-1) xenial; urgency=medium

  * neuer Kammerschlüssel

 -- jeff <bz@adler>  Tue, 31 Jan 2017 10:12:49 +0100

examplix (0.1.1-1) trusty-testing; urgency=medium

  * Update

 -- jeff <bz@adler>  Thu, 09 Jun 2016 01:21:17 +0200

examplix (0.1.0-1) trusty-testing; urgency=medium

  * latex uses utf8 encoding

 -- jeff <bz@adler>  Tue, 08 Mar 2016 16:54:28 +0100

examplix (0.0.9-1) trusty-testing; urgency=medium

  * add csv export for 'Kammer'
  * make user mapping (students.cfg: old==new ) work in all useful cases

 -- jeff <bz@adler>  Tue, 08 Mar 2016 11:15:44 +0100

examplix (0.0.8-1) trusty-testing; urgency=medium

  * added EXTRA_SUBJECT (same as LOOP_SUBJECT without beeing part of average)
  * added String for MIH -> Management im Handwerk

 -- jeff <bz@adler>  Mon, 22 Jun 2015 11:29:07 +0200

examplix (0.0.7-2) trusty-testing; urgency=medium

  * added examplix-ldapsearch to package

 -- Ruediger Beck <bz@j1010p20.bszleo.de>  Thu, 21 May 2015 11:24:44 +0200

examplix (0.0.7-1) trusty-testing; urgency=medium

  * examplix-ldapsearch updated

 -- jeff <bz@adler>  Thu, 21 May 2015 01:46:48 +0200

examplix (0.0.6-1) trusty; urgency=medium

  * sort projects, when listing

 -- jeff <bz@adler>  Wed, 24 Dec 2014 12:20:25 +0100

examplix (0.0.5-1) precise; urgency=low

  * added dependency, package for precise

 -- bz <bz@adler>  Fri, 23 May 2014 16:29:38 +0200

examplix (0.0.4-1) precise; urgency=low

  * Upstream fixes: Exam Layout, references like EXAMONLY_SUBJECT="WSK"="WK"

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Mon, 03 Dec 2012 18:53:07 +0100

examplix (0.0.3-1) precise; urgency=low

  * $HOME/examplix can be a link

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Thu, 15 Nov 2012 18:32:27 +0100

examplix (0.0.1-1) precise; urgency=low

  [ jeffbeck ]
  * First Release

 -- Ruediger Beck <bz@j1009p16.bszleo.de>  Fri, 09 Nov 2012 13:33:42 +0100

=== debian/control ===
Source: examplix
Section: tex
Priority: optional
Maintainer: Ruediger Beck <jeffbeck@web.de>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.0

Package: examplix
Architecture: all
Depends: libspreadsheet-parseexcel-perl, libspreadsheet-writeexcel-perl, libregexp-common-perl, git, git-core , ssh, texlive-fonts-recommended, texlive-latex-extra, texlive-lang-german, libnet-ldap-perl
Description: calculate school reports (DE: Zeugnisse) from spreadsheet files
 Create a set of spreadsheet files and distribute them to other teachers
 to fill with marks. Collect these files and calculate averages, final marks 
 as PDF for school reports.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
#	$(MAKE)
	#/usr/bin/docbook-to-man debian/examplix.sgml > examplix.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/examplix.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/examplix


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdebconf	
	dh_installchangelogs
# install debian/copyright file in every package:
	dh_installdocs
	dh_installdocs -pexamplix changelog-examplix-src
#	dh_installexamples
#	dh_installmenu
	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
	dh_installcron
# Install manpages for examplix
	dh_installman -pexamplix man/de/examplix.de.8
#	dh_installinfo
#	dh_undocumented
	dh_install --sourcedir=debian/examplix
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
